<!DOCTYPE html>
<html>

<head>
  <title> Task 13R Pizza 365</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#Chọn">Chọn</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12" style="color: red;">
            <h1><b>Pizza 365 </b><br>
              <h1><b>New Pizza - New Way!</b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_02.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Design</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2">Branding</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-warning text-white border">
                <h3 class="p-2">Consultation</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger text-white border">
                <h3 class="p-2">Promises</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Pricing Plans</b></h2>
            <p><span class="p-2">Choose a pricing plan that fits your needs.</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S(small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính: <b>20cm</b> </li>
                      <li class="list-group-item">Sường nướng: <b>2</b></li>
                      <li class="list-group-item">Salad: <b>200g</b></li>
                      <li class="list-group-item">Nước ngọt: <b>2</b></li>
                      <li class="list-group-item"><b>150000</b><br> VND</li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" data-is-selected-menu-menu="N" id="btn-small"
                      onclick="onBtnSmallClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M(medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính: <b>25cm</b></li>
                      <li class="list-group-item">Sường nướng: <b>4</b></li>
                      <li class="list-group-item">Salad: <b>300g</b></li>
                      <li class="list-group-item">Nước ngọt: <b>3</b></li>
                      <li class="list-group-item"><b>200000</b><br> VND</li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" data-is-selected-menu-menu="N" id="btn-medium"
                      onclick="onBtnMediumClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>L(large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính: <b>30cm</b></li>
                      <li class="list-group-item">Sường nướng: <b>8</b></li>
                      <li class="list-group-item">Salad: <b>500g</b></li>
                      <li class="list-group-item">Nước ngọt: <b>4</b></li>
                      <li class="list-group-item"><b>250000</b><br> VND</li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" data-is-selected-menu-menu="N" id="btn-large"
                      onclick="onBtnLargeClick()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_ga.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Chicken</h3>
                    <p>New</p>
                    <p>Gà công nghiệp</p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-chicken"
                        onclick="onBtnChickenClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_hai_san.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Seafood</h3>
                    <p>Best seller</p>
                    <p>Hải sản đông lạnh</p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-seafood"
                        onclick="onBtnSeafoodClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Bacon</h3>
                    <p>Signature</p>
                    <p>Thịt xông khói</p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-bacon"
                        onclick="onBtnBaconClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="Chọn" class="row">
          <!-- Title Chọn Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Chọn Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="voucher">Mã giảm giá (voucher ID )</label>
                  <input type="text" class="form-control" id="inp-voucherid" placeholder="Voucher">
                </div>
                <button type="button" class="btn btn-info w-100">Kiểm tra đơn</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-warning p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-info w-100">Confirm</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  // danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "A1", percentDiscount: 20 },   // mã giảm giá là A1, phần trăm giảm giá 20%
    { voucherID: "A2", percentDiscount: 10 },
    { voucherID: "A3", percentDiscount: 5 },
    { voucherID: "A4", percentDiscount: 30 },
    { voucherID: "A5", percentDiscount: 20 },
    { voucherID: "B1", percentDiscount: 25 },
    { voucherID: "B2", percentDiscount: 15 },
    { voucherID: "B3", percentDiscount: 5 },
    { voucherID: "B4", percentDiscount: 30 },
    { voucherID: "B5", percentDiscount: 40 }
  ];
  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";
  // loại pizza
  const gSTYLE_CHICKEN = "Chicken";
  const gSTYLE_SEAFOOD = "Seafood";
  const gSTYLE_BACON = "Bacon";
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onBtnSmallClick() {
    console.log("Menu được chọn: " + gCOMBO_SMALL);
    changePackageButtonColor(gCOMBO_SMALL);
  }
  function onBtnMediumClick() {
    console.log("Menu được chọn: " + gCOMBO_MEDIUM);
    changePackageButtonColor(gCOMBO_MEDIUM);
  }
  function onBtnLargeClick() {
    console.log("Menu được chọn: " + gCOMBO_LARGE);
    changePackageButtonColor(gCOMBO_LARGE);
  }

  function onBtnChickenClick() {
    console.log("Loại Pizza: " + gSTYLE_CHICKEN);
    changeStyleBtnColor(gSTYLE_CHICKEN);
  }
  function onBtnSeafoodClick() {
    console.log("Loại Pizza: " + gSTYLE_SEAFOOD);
    changeStyleBtnColor(gSTYLE_SEAFOOD);
  }
  function onBtnBaconClick() {
    console.log("Loại Pizza: " + gSTYLE_BACON);
    changeStyleBtnColor(gSTYLE_BACON);
  }

  function onBtnDonHang() {
    var vThongTinDonHang={
      menuDuocChon: null,
      loaiPizza: "",
      hoVaTen: "",
      email:"",
      dienThoai: "",
      diaChi: "",
      loiNhan: "",
      phanTramGiamGia: 0,
    }

  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function planDaChon(paramSize, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramPrice) {
    
    var vPlanDaChon = {
      size: paramSize,
      duongKinh: paramDuongKinh,
      suonNuong: paramSuonNuong,
      salad: paramSalad,
      nuocNgot: paramNuocNgot,
      giaTien: paramPrice,
      giamGia: function () {
        return this.paramPrice * getVoucherByID();
      },
      displayInConsoleLog() {
        console.log("%cPACKAGE SELECTED - Menu đã chọn..........", "color:blue");
        console.log(this.size);
        console.log("Đường Kính: " + this.duongKinh);
        console.log("Sườn nướng: " + this.suonNuong);
        console.log("Salad: " + this.salad);
        console.log("Nước ngọt: " + this.nuocNgot)
        console.log("Giá: " + "VND " + this.giaTien);
        console.log("Annual price:" + "VND " + this.giamGia());
      }
    }
    return vPlanDaChon;
  }
  function changePackageButtonColor(paramPackage) {
    var vBtnSmall = document.getElementById("btn-small");
    var vBtnMedium = document.getElementById("btn-medium");
    var vBtnLarge = document.getElementById("btn-large");

    if (paramPackage === gCOMBO_SMALL) {
      vBtnSmall.className = "btn btn-warning";
      vBtnSmall.setAttribute("data-is-selected-menu", "Y");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    }
    if (paramPackage === gCOMBO_MEDIUM) {
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    }
    if (paramPackage === gCOMBO_LARGE) {
      vBtnSmall.className = "btn btn-success";
      vBtnSmall.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }
  function changeStyleBtnColor(paramPackage) {
    var vBtnChicken = document.getElementById("btn-chicken");
    var vBtnSeafood = document.getElementById("btn-seafood");
    var vBtnBacon = document.getElementById("btn-bacon");

    if (paramPackage === gSTYLE_CHICKEN) {
      vBtnChicken.className = "btn btn-warning";
      vBtnChicken.setAttribute("data-is-selected-menu-pizza", "Y");
      vBtnSeafood.className = "btn btn-success";
      vBtnSeafood.setAttribute("data-is-selected-menu-pizza", "N");
      vBtnBacon.className = "btn btn-success";
      vBtnBacon.setAttribute("data-is-selected-menu-pizza", "N");
    }
    if (paramPackage === gSTYLE_SEAFOOD) {
      vBtnChicken.className = "btn btn-success";
      vBtnChicken.setAttribute("data-is-selected-menu-pizza", "N");
      vBtnSeafood.className = "btn btn-warning";
      vBtnSeafood.setAttribute("data-is-selected-menu-pizza", "Y");
      vBtnBacon.className = "btn btn-success";
      vBtnBacon.setAttribute("data-is-selected-menu-pizza", "N");
    }

    if (paramPackage === gSTYLE_BACON) {
      vBtnChicken.className = "btn btn-success";
      vBtnChicken.setAttribute("data-is-selected-menu-pizza", "N");
      vBtnSeafood.className = "btn btn-success";
      vBtnSeafood.setAttribute("data-is-selected-menu-pizza", "N");
      vBtnBacon.className = "btn btn-warning";
      vBtnBacon.setAttribute("data-is-selected-menu-pizza", "Y");
    }
  }
  function getVoucherByIndex(paramIndex) {
    if (paramIndex < 0 || paramIndex > gDiscountVouchers.length - 1) {
      return null;
    }
    return gDiscountVouchers[paramIndex];
  }
  function getVoucherByID(paramVoucher) {
    var vKetQua = null;
    var vFound = false;
    var vIndex = 0;
    var vPos = -1;

    while (vFound = false || vIndex < gDiscountVouchers.length) {
      if (gDiscountVouchers[vIndex].voucherID == paramVoucher) {
        vFound = true;
        vPos = vIndex;
      }
      vIndex++;
    }
    if (vFound = true) {
      vKetQua = getVoucherByIndex(vPos);
      var vPhanTramGiam = 1 - vKetQua.percentDiscount / 100;
      return vPhanTramGiam;
    } else {
      vKetQua = null;
    }

  }
  function thuThapDuLieu(paramOrder) {
    var vInputHoVaTen = document.getElementById("inp-ho-va-ten");
    paramOrder.hoVaTen = vInputHoVaTen.value;
    var vInputEmail = document.getElementById("inp-email");
    paramOrder.email = vInputEmail.value;
    var vInputDiaChi = document.getElementById("inp-dia-chi");
    paramOrder.diaChi = vInputDiaChi.value;
    var vInputSoDienThoai = document.getElementById("inp-so-dien-thoai");
    paramOrder.soDienThoai = vInputSoDienThoai.value;

    var vBtnBasicPlan = document.getElementById("btn-package-basic");
    var vBtnPlusPlan = document.getElementById("btn-package-plus");
    var vBtnFastPlan = document.getElementById("btn-package-fast");
    var vPackageSelected = null;

    var vGoiBasicDuocChon = vBtnBasicPlan.getAttribute("data-is-selected");
    var vGoiPlusDuocChon = vBtnPlusPlan.getAttribute("data-is-selected");
    var vGoiFastDuocChon = vBtnFastPlan.getAttribute("data-is-selected");
    if (vGoiBasicDuocChon === "Y") {
      vPackageSelected = getPackage("Net 1 Basic", "30 Mbps", "10 Mbps", "20 kênh", 200000);
    }
    else if (vGoiPlusDuocChon === "Y") {
      // viết code xử lý tiếp
      vPackageSelected = getPackage("Net 3 Plus", "80 Mbps", "20 Mbps", "40 kênh", 250000);
    }
    else if (vGoiFastDuocChon === "Y") {
      // viết code xử lý tiếp
      vPackageSelected = getPackage("Fast 50", "200 Mbps", "40 Mbps", "Đăng ký", 300000);
    }
    paramOrder.packageDuocChon = vPackageSelected;
  }
  function kiemTraDonHang(paramOrder) {
    if (paramOrder.packageDuocChon == null) {
      alert("Chọn 1 gói");
      return false;
    }
    if (paramOrder.hoVaTen == "") {
      alert("Nhập họ và tên");
      return false;
    }
    if (paramOrder.email == "") {
      alert("Nhập email");
      return false;
    }
    if (checkEmail(paramOrder.email) == false) {
      alert("Sai định dạng");
      return false;
    }
    if (paramOrder.diaChi == "") {
      alert("Nhập địa chỉ");
      return false;
    }
    if(paramOrder.soDienThoai==""){
        alert("Nhập số điện thoại");
        return false;
    }
    if (isNaN(paramOrder.soDienThoai)) {
      alert("SĐT phải là số");
      return false;
    }
    return true;
  }
  function checkEmail(paramEmail) {
    var vValid = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (paramEmail.match(vValid)) {
      return true;
    }
    else {
      return false;
    }
  }
  
</script>

</html>